#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Ogg
%define	pnam	Vorbis-Header
Summary:	Ogg::Vorbis::Header - an object-oriented interface to Ogg Vorbis information and comment fields
Summary(pl.UTF-8):	Ogg::Vorbis::Header - zorientowany obiektowo interfejs do pól informacji i komentarza Ogg Vorbis
Name:		perl-Ogg-Vorbis-Header
Version:	0.03
Release:	6
License:	GPL v2+ / LGPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	d1c435e79d3f019147be734281e8a908
URL:		http://www.cpan.org/modules/by-module/Ogg/
BuildRequires:	libogg-devel
BuildRequires:	libvorbis-devel
BuildRequires:	perl-Inline-C
BuildRequires:	perl-Parse-RecDescent
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module presents an object-oriented interface to Ogg Vorbis files
which allows user to view Vorbis info and comments and to modify or
add comments.

%description -l pl.UTF-8
Moduł ten dostarcza zorientowanego obiektowo interfejsu do plików Ogg
Vorbis. Pozwala użytkownikowi na odczyt/modyfikację pól informacji
i komentarzy plików Ogg Vorbis.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Ogg/Vorbis/Header.pm
%dir %{perl_vendorarch}/auto/Ogg
%dir %{perl_vendorarch}/auto/Ogg/Vorbis
%dir %{perl_vendorarch}/auto/Ogg/Vorbis/Header
%{perl_vendorarch}/auto/Ogg/Vorbis/Header/Header.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Ogg/Vorbis/Header/Header.so
%{_mandir}/man3/*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Ogg-Vorbis-Header.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 18e99cd
- rebuild with perl 5.18.0
- release 6 (by relup.sh)

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 93e565a
- BR: libogg-devel, libvorbis-devel
- BR: perl-Parse-RecDescent -- not used directly, but source forces Inline::C
  to use this parser instead of default one
- build with -j1, otherwise it may grab preinstalled Ogg/Vorbis/Header.pm

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> cc7f501
- release 5

* Sun Mar 16 2008 twittner <twittner@pld-linux.org> ecf80f5
- rel. 4 - rebuild with perl-5.10.0 - should fix:
  perl: symbol lookup error [...] Ogg/Vorbis/Header/Header.so: undefined symbol: Perl_pad_sv

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 87f3c64
- rel 3

* Sat Nov 10 2007 twittner <twittner@pld-linux.org> c74d34c
- added omitted files
- rel. 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8975910
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8213a82
- converted to UTF-8

* Sat Aug 12 2006 ankry <ankry@pld-linux.org> 5fa6e03
- formatting

* Thu Aug 11 2005 radek <radek@pld-linux.org> 0a84e7d
- bcond_with(out) is followed by one \t, then bcond's name.

* Thu Nov 18 2004 Jakub Bogusz <qboosh@pld-linux.org> bebd843
- cleanup

* Fri Nov 12 2004 snurf <snurf@pld-linux.org> 5b0d4fb
- pl desc cosmetics

* Thu Nov 11 2004 Adam Gołębiowski <adamg@pld-linux.org> fa5d10a
- new

